
# jquery-thin v3.2.2

Based on: https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.slim.js

## Removed features

- `$.when`, `$.Deferred`, `$.Callbacks`, `$.fn.promise`
- `$.queue`, `$.dequeue`, `$.fn.queue`, `$.fn.dequeue`, `$.fn.clearQueue`
- `$.serialize`, `$.serializeArray`, `$.param`
- `$.ready.then`, `$.readyException`
- `$.noConflict`
- `$.error`
- `$.fn.delay`
- `$.fn.jquery` is replaced with `$.version`

Plus whatever is removed by `jquery.slim.js`

## Other changes

- No compatibility with module systems
- Formatted with Prettier

## Usage

1. Import the script. You can add `.min` for minified version (with source map).

```html
<script src="https://cdn.jsdelivr.net/npm/jquery-thin@3.2.2/jquery.js" defer></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-thin@3.2.2/jquery.min.js" defer></script>
```

2. Use `window.$` as you normally would.

```js
$(document).ready(() => console.log('ready'))
```
